OpenCATS 0.9.4-3

Free, Open-Source Applicant Tracking System including job-board. Entirely customisable!

Please describe the issue you're having
If you accept the answer, please mark the topic as [SOLVED] by clicking the tick.

Moderators: RussH, cptr13

Forum rules: Just please remember to play nicely once you walk through the door. You can disagree with us, or any other commenters in this forum, but respect our space and keep your comments directed to the topic at hand.
By jthesecond
#4413
From the candidate page, I am unable to upload a CV (add an attachment)
The following is the error I get:

A File Error has Occurred

There was a problem when CATS attempted to process the file you selected. File size is less than 1 byte. File errors are sometimes caused by high Internet traffic or older web browsers. The latest version of the Mozilla Firefox© browser is recommended.

The problem may be resolved by using the back button on your browser and trying again.

I have tried multiple times including on firefox. I have also gone to my hosting provider and they were unable to help, but they ensured the php.ini file values were all correct. Can anyone help me?
User avatar
By RussH
#4418
HI,

there are a few possible reasons for this, you'll need to look at your error log to see what's being recorded. Normally it's the maximum filesize or the session timing out, both variables can be changed in php.ini
By jthesecond
#4420
Thank you for your prompt response. I am using shared hosting, how do I access the error logs?
These are my local variables for my php.ini file:
max_execution_time 300
max_file_uploads 20
By jthesecond
#4421
I found the error logs and the following is the applicable error:

PHP Deprecated: Non-static method DatabaseSearch::fulltextDecode() should not be called statically, assuming $this from incompatible context in /home/dlkgrznn/ats.dlkgroup.com/OpenCATS/modules/import/ImportUI.php on line 1285
[05-Sep-2019 09:12:14 UTC]
User avatar
By RussH
#4422
what version PHP are you running? The current version supports PHP 5.6 only and not PHP 7.x
By jthesecond
#4426
System information:
Operating System Type: CATS thinks your operating system is UNIX.
PHP Version: 5.6.40
Database Version: MySQL 10.1.41-MariaDB
User avatar
By RussH
#4433
Hi

sorry have taken a look at the thread, and you need to set the value of upload_max_filesize and post_max_size in your php.ini :
Code: Select all
; Maximum allowed size for uploaded files.
upload_max_filesize = 40M

; Must be greater than or equal to upload_max_filesize
post_max_size = 40M
After modifying php.ini file(s), you need to restart your HTTP server to use new configuration.

Your error message is a red herring as it's a notification only that from PHP 5.6 onwards, the syntax is deprecated and will be removed in a future version - this is why the PHP 7.x version needs a significant rewrite.
Installation errors on Bluehost

I am unable to install OpenCATS on Bluehost. I am […]

custom fields

You are going to have to put some logic in the Sho[…]

Google for Jobs

Thanks for the quick answer. The jobs can be foun[…]

Admin Login Page

Failed to load resource: the server responded with[…]

http error 500

While trying to open opencats/index.php? the page […]

What host? Did you use the documentation? What i[…]

new version check

Thanks for the explanation.

ä / ü / ö in emails

Thank you. Thank you. I've inserted it. I'll get b[…]

Hi, sorry not heard of any Kubernetes deployment[…]

Candidate edit page date

Hi, we've just closed out the php 7.x feature bran[…]

For both your questions there's really a single an[…]